Page MenuHomePhabricator

[Education Dashboard] Improve support for photo/media contribution campaigns on Wikimedia Programs & Events Dashboard
Closed, ResolvedPublic

Description

The Wiki Education Dashboard / Programs & Events Dashboard is a Ruby on Rails + React.js application that helps people organize groups of newcomers to contribute to Wikipedia. It's used by the global Wikipedia Education Program for Wikipedia writing assignments in college and high school classes, the Art + Feminism editathon campaign, and many other thematic in-person and online outreach projects.

Photo / multimedia contribution campaigns are one use for the Dashboard, but its support for tracking media contributions is not very good.

For this project, you will:

  • Design and build a new interface for viewing photo uploads, using React.js
  • Conduct user research with Wikimedians who organize photo campaigns to identify and prioritize additional improvements.
  • Improve the data flow for continually importing new uploads, using Ruby on Rails.
  • Evaluate the new features being developed for the Structured Data on Commons project, and integrate them into the Dashboard where it makes sense to do so

This project will be based in Javascript — mainly React.js and Redux — interacting with Ruby on Rails on the server. Knowledge of Javascript is a prerequisite. Additional helpful skills and experience include:

  • React.js and Redux
  • Ruby, and Ruby on Rails
  • User interface design

Mentors:

Get started:

Event Timeline

Ragesoss created this task.Mar 15 2018, 4:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2018, 4:17 PM

It sounds like the Mediainfo extension may be ready by about May, which is just in time for Outreachy. Depending on it's capabilities, we may want to add features to both a) pull media info from Commons, and b) push semantic info — classifying and categorizing images, for example — to Commons via this new extension. cc @Keegan @MarkTraceur

Restricted Application added a subscriber: Base. · View Herald TranscriptMar 15 2018, 4:23 PM
Capt_Swing updated the task description. (Show Details)

@srishakatux I replaced the current-round Outreachy project description with this, because there were already several strong GSoC applications in progress before anyone started an Outreachy application and Jonathan and I decided we're up for also mentoring an Outreachy project. I hope that's okay.

@Ragesoss sounds good! I misunderstood this..

yunju added a subscriber: yunju.EditedMar 18 2018, 3:36 AM

@Ragesoss I'm drafting an 8-week plan as follows. It will give me 1 week for prep, 5-6 weeks (if I skip testing) for implementation and 1 week for wrap up.
1st week - research and design
2nd-6th week: implementation
7th week: user testing and modification (ideally)
8th week: wrap up and buffer

For photo usage reporting, I have an idea to use data visualization to display the data. I will have a Media tab (name TBD). Under Media, there will be two sections:

  • A page of graphs, e.g upload numbers, usage, other useful metrics - show high level, aggregated data
  • Current photo gallery with expanded functions (sort/filter, mediainfo...etc) - allow users to view and modify individual photo

Later, I realize what I want to do is to create a dashboard for photos, which means the concept could also apply to other sections in the app, or have one single dashboard to cover data from different sections. So, should I - 1) keep the project scope within photos, baby step. 2) can expand the idea to cover other sections, big UI change on the app.

Besides photo/media, there are two other things I would like to do:

  • Re-design site navigation

The current navigation confuses me sometimes, mainly because it only shows two level of categories at most, so when I go deeper, I become disoriented. Navigation is essential to how the app works, so it's important.

  • Improve the wizard

The app already has a wizard to help users create campaign/program, and there are several things to be changed to make it better. Onboarding new users is important because first impression matters.

Although they are not part of original project goals, if these two things are done right, the UX can be improved in great ways, so if there is time, I'd like to include one (probably the navigation) to this project. Of course, this will depend on the scope of the photo portion.

Any thought or feedback is appreciated.

yunju added a comment.EditedMar 19 2018, 2:39 AM

@Ragesoss I just realized there is another place to post proposal, so I put an updated version there. I decided to scale down my plan. That's too many things to do in two months. Now I'll only focus on photo/media contribution tracking and photo viewing (as the original project plan).

srishakatux added a comment.EditedSep 8 2018, 2:25 AM

ping @Ragesoss @Urvaxhi Is there anything remaining in this task from Outreachy Round 16? If not, then please consider marking it as resolved! Ensure no pull requests are remaining to be merged and deployed in production and documentation both on-wiki and in the code is complete. If yes, then you could move the leftovers to a new task.

Same goes for T189873

Ragesoss closed this task as Resolved.Sep 8 2018, 4:26 PM
Ragesoss claimed this task.